View Issue Details

IDProjectCategoryView StatusLast Update
0032582Open CASCADEOCCT:Configurationpublic2021-12-13 14:56
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032582: Configuration, genproj - make CSF_OPT_LIB64D configurable by genconf
DescriptionIt is desired extending genconf to configure CSF_OPT_LIB64D paths.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0032525 closedbugmaster Open CASCADE Data Exchange, RWGltf_CafReader - support KHR_draco_mesh_compression 

Activities

git

2021-09-23 00:52

administrator   ~0104293

Branch CR32582 has been created by kgv.

SHA-1: 5c4eab25abca011c858071be5675c7a393e35162


Detailed log of new commits:

Author: kgv
Date: Thu Sep 23 00:50:20 2021 +0300

    0032582: Configuration, genproj - make CSF_OPT_LIB64D configurable by genconf

git

2021-09-23 01:06

administrator   ~0104296

Branch CR32582 has been updated forcibly by kgv.

SHA-1: ab724e592f5c5076d99d78cf71f77fec81d40d8e

git

2021-09-23 01:39

administrator   ~0104297

Branch CR32582 has been updated forcibly by kgv.

SHA-1: 94b1bd5700074e1f36b8ef9f4e00dc8ab4960670

kgv

2021-09-23 01:43

developer   ~0104299

Patch is ready for review
- OCCT: branch CR32582.

osa

2021-09-23 09:26

developer   ~0104301

The patch was reviewed

smoskvin

2021-09-25 09:04

administrator   ~0104348

Combination -
OCCT branch : IR-2021-09-24
master SHA - 3be25c11705b931ff623f372a24e3e1b2203899c
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-24 SHA - 87b937b1aaab0e7b9de6bee9b334ae2694f02413
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17446.850000000457 / 17398.820000000545 [+0.28%]
Products
---
Windows-64-VC14:
OCCT
Total CPU difference: 19308.25 / 19330.984375 [-0.12%]
Products
---


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-13 14:56

administrator   ~0105876

Branch CR32582 has been deleted by kgv.

SHA-1: 94b1bd5700074e1f36b8ef9f4e00dc8ab4960670

Related Changesets

occt: master ea99d048

2021-09-22 21:50:20

kgv


Committer: smoskvin Details Diff
0032582: Configuration, genproj - make CSF_OPT_LIB64D configurable by genconf Affected Issues
0032582
mod - adm/genconf.tcl Diff File
mod - adm/genconfdeps.tcl Diff File

Issue History

Date Modified Username Field Change
2021-09-23 00:45 kgv New Issue
2021-09-23 00:45 kgv Assigned To => kgv
2021-09-23 00:52 git Note Added: 0104293
2021-09-23 01:06 git Note Added: 0104296
2021-09-23 01:39 git Note Added: 0104297
2021-09-23 01:43 kgv Test case number => N/A
2021-09-23 01:43 kgv Note Added: 0104299
2021-09-23 01:43 kgv Assigned To kgv => osa
2021-09-23 01:43 kgv Status new => resolved
2021-09-23 01:44 kgv Relationship added related to 0032525
2021-09-23 09:26 osa Note Added: 0104301
2021-09-23 09:26 osa Assigned To osa => bugmaster
2021-09-23 09:26 osa Status resolved => reviewed
2021-09-25 09:04 smoskvin Note Added: 0104348
2021-09-25 09:04 smoskvin Status reviewed => tested
2021-09-25 09:22 smoskvin Changeset attached => occt master ea99d048
2021-09-25 09:22 smoskvin Assigned To bugmaster => smoskvin
2021-09-25 09:22 smoskvin Status tested => verified
2021-09-25 09:22 smoskvin Resolution open => fixed
2021-12-13 14:56 git Note Added: 0105876